org.wso2.carbon.webapp.mgt

## Enum WebappsConstants.ApplicationOpType

- java.lang.Object
- - java.lang.Enum<WebappsConstants.ApplicationOpType>
  - - org.wso2.carbon.webapp.mgt.WebappsConstants.ApplicationOpType

- All Implemented Interfaces:
    Serializable, Comparable<WebappsConstants.ApplicationOpType>
  Enclosing class:
    WebappsConstants

      public static enum WebappsConstants.ApplicationOpType
      extends Enum<WebappsConstants.ApplicationOpType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RELOAD`
    `START`
    `STOP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebappsConstants.ApplicationOpType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebappsConstants.ApplicationOpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STOP

          public static final WebappsConstants.ApplicationOpType STOP

    - #### START

          public static final WebappsConstants.ApplicationOpType START

    - #### RELOAD

          public static final WebappsConstants.ApplicationOpType RELOAD

  - ### Method Detail

    - #### values

          public static WebappsConstants.ApplicationOpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebappsConstants.ApplicationOpType c : WebappsConstants.ApplicationOpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebappsConstants.ApplicationOpType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 WSO2. All rights reserved.